<div class="page-header">
    <h1 class="text-center text-left-sm">Расчетный счет на декабрь 2015</h1> 
        <a {{ action 'showModal' 'modals/month' model}}>Выбрать месяц →</a>
</div>
<div class="row">
    <div class="col-md-3"></div>
</div>
<div class="bankStates row">
    <div class="col-sm-6 col-md-9">
        <div class="row">
            <div class="col-sm-6 col-md-3">
                <div class="stat-panel text-center">
                    <div class="stat-row">
                        <div class="stat-cell bg-dark-gray padding-sm text-sm text-semibold">
                            {{fa-icon "money"}}&nbsp;&nbsp;ПРИХОД
                        </div>
                    </div>
                    <div class="stat-row">
                        <div class="stat-cell bordered no-padding-hr">
                            <h3>{{month.comming}} {{fa-icon 'rub'}}</h3>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-3">
                <div class="stat-panel text-center">
                    <div class="stat-row">
                        <div class="stat-cell bg-dark-gray padding-sm text-sm text-semibold">
                            {{fa-icon "credit-card"}}&nbsp;&nbsp;ЭКВАЙРИНГ
                        </div>
                    </div>
                    <div class="stat-row">
                        <div class="stat-cell bordered no-padding-hr">
                            <h3>{{month.acquiring}} {{fa-icon 'rub'}}</h3>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-3">
                <div class="stat-panel text-center">
                    <div class="stat-row">
                        <div class="stat-cell bg-dark-gray padding-sm text-sm text-semibold">
                            {{fa-icon "flash"}}&nbsp;&nbsp;РАСХОД
                        </div>
                    </div>
                    <div class="stat-row">
                        <div class="stat-cell bordered no-padding-hr">
                            <h3>{{month.expense}} {{fa-icon 'rub'}}</h3>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-md-3">
                <div class="stat-panel text-center">
                    <div class="stat-row">
                        <div class="stat-cell bg-dark-gray padding-sm text-sm text-semibold">
                            {{fa-icon 'rub'}}&nbsp;&nbsp;ТРАНЗАКЦИЙ
                        </div>
                    </div>
                    <div class="stat-row">
                        <div class="stat-cell bordered no-padding-hr">
                            <h3>{{month.transact_num}} {{fa-icon 'eye' size='20' class='text-success'}}</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="col-sm-6 col-md-3">
        <div class="stat-panel">
            <div class="stat-cell bg-success valign-middle">
                {{fa-icon 'bank' class='bg-icon'}}
                <span class="text-xlg"><strong>{{month.balance}}</strong></span>
                <br>
                <span class="text-bg">Остаток на счете</span>
                <br>
                <span class="text-sm"><a href="#">на {{month.b_date}}</a></span>
            </div>
        </div>
    </div>
</div>
<br/>
<div class="page-header">
    <h1 class="text-center text-left-sm">Статистика по статьям расходов</h1> {{#link-to 'bank.lists' class="pull-right"}}Показать все транзакции{{/link-to}}
</div>
<div class="row hovers">
    {{#each month.statistics as |list|}}
    <div class="col-sm-3 special">
        <a data-toggle="modal" data-target="#modal-sizes-2" {{action 'getTransactions' list}} class="stat-panel">
            <div class="stat-row">
                <div class="stat-cell col-sm-4 padding-sm-hr bordered  valign-top">
                    {{list.title.title}}
                    <span class="label label-pa-purple pull-right">{{list.summ}}</span>
                </div>
            </div>
        </a>
    </div>
    {{/each}}
</div>
<hr/>
<div class="text-right">
    {{#link-to 'bank.uploads'}}К архиву выписок{{/link-to}}&nbsp;&nbsp;
    <button {{action 'save'}} data-toggle="modal" data-target="#file"  class="btn btn-lg btn-labeled  btn-success"><span class="btn-label icon fa fa-download"></span>Загрузить выписку</button>
</div>
{{outlet}}


<div id="modal-sizes-2" class="modal fade" tabindex="-1" role="dialog" aria-hidden="false">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">

            <div class="page-header">
                <h1 class="text-center text-left-sm">Транзакции по статье {{currentTrans.title.title}}</h1>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body">
                <table class="table table-border">
                    <thead>
                        <th>Дата</th>
                        <th>Контрагент</th>
                        <th>Расход</th>
                    </thead>
                    <tbody>
                        {{#each currentTrans.transactions as |trans|}}
                        <tr>
                            <td>{{trans.date}}</td>
                            <td>{{trans.contractor}}</td>
                            <td>{{trans.expense}}</td>
                        </tr>
                        {{/each}}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div id="file" class="modal fade" tabindex="-1" role="dialog" aria-hidden="false">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="page-header">
                <h1 class="text-center text-left-sm">Загрузите файл</h1>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body">
                
            </div>
        </div>
    </div>
</div>

<div id="month" class="modal fade" tabindex="-1" role="dialog" aria-hidden="false">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="page-header">
                <h1 class="text-center text-left-sm">Загрузите файл</h1>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body">
                
            </div>
        </div>
    </div>
</div>